# REST Resource: acceleratorTypes

- [Resource: AcceleratorType](https://docs.cloud.google.com/compute/docs/reference/rest/beta/acceleratorTypes#AcceleratorType)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/acceleratorTypes#AcceleratorType.SCHEMA_REPRESENTATION)
    - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/acceleratorTypes#AcceleratorType.SCHEMA_REPRESENTATION.deprecated.SCHEMA_REPRESENTATION)
- [Methods](https://docs.cloud.google.com/compute/docs/reference/rest/beta/acceleratorTypes#METHODS_SUMMARY)

## Resource: AcceleratorType

Represents an Accelerator Type resource.

Google Cloud Platform provides graphics processing units (accelerators) that you can add to VM instances to improve or accelerate performance when working with intensive workloads. For more information, read [GPUs on Compute Engine](https://docs.cloud.google.com/compute/docs/gpus).

| JSON representation |
|---|
| ``` { "kind": string, "id": string, "creationTimestamp": string, "name": string, "description": string, "deprecated": { "state": enum, "replacement": string, "deprecated": string, "obsolete": string, "deleted": string, "stateOverride": { "locationRolloutPolicies": { string: string, ... }, "defaultRolloutTime": string } }, "zone": string, "selfLink": string, "maximumCardsPerInstance": integer } ``` |

| Fields ||
|---|---|
| `kind` | `string` Output only. The type of the resource. Always `compute#acceleratorType` for accelerator types. |
| `id` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The unique identifier for the resource. This identifier is defined by the server. |
| `creationTimestamp` | `string` Output only. Creation timestamp in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format. |
| `name` | `string` Output only. Name of the resource. |
| `description` | `string` Output only. An optional textual description of the resource. |
| `deprecated` | `object` Output only. The deprecation status associated with this accelerator type. |
| `deprecated.state` | `enum` The deprecation state of this resource. This can be `ACTIVE`, `DEPRECATED`, `OBSOLETE`, or `DELETED`. Operations which communicate the end of life date for an image, can use `ACTIVE`. Operations which create a new resource using a `DEPRECATED` resource will return successfully, but with a warning indicating the deprecated resource and recommending its replacement. Operations which use `OBSOLETE` or `DELETED` resources will be rejected and result in an error. |
| `deprecated.replacement` | `string` The URL of the suggested replacement for a deprecated resource. The suggested replacement resource must be the same kind of resource as the deprecated resource. |
| `deprecated.deprecated` | `string` An optional [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) timestamp on or after which the state of this resource is intended to change to `DEPRECATED`. This is only informational and the status will not change unless the client explicitly changes it. |
| `deprecated.obsolete` | `string` An optional [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) timestamp on or after which the state of this resource is intended to change to `OBSOLETE`. This is only informational and the status will not change unless the client explicitly changes it. |
| `deprecated.deleted` | `string` An optional [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) timestamp on or after which the state of this resource is intended to change to `DELETED`. This is only informational and the status will not change unless the client explicitly changes it. |
| `deprecated.stateOverride` | `object` The rollout policy for this deprecation. This policy is only enforced by image family views. The rollout policy restricts the zones where the associated resource is considered in a deprecated state. When the rollout policy does not include the user specified zone, or if the zone is rolled out, the associated resource is considered in a deprecated state. The rollout policy for this deprecation is read-only, except for allowlisted users. This field might not be configured. To view the latest non-deprecated image in a specific zone, use the `imageFamilyViews.get` method. |
| `deprecated.stateOverride.locationRolloutPolicies` | `map (key: string, value: string)` Location based rollout policies to apply to the resource. Currently only zone names are supported and must be represented as valid URLs, like: zones/us-central1-a. The value expects an [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) timestamp on or after which the update is considered rolled out to the specified location. |
| `deprecated.stateOverride.defaultRolloutTime` | `string` An optional [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) timestamp on or after which the update is considered rolled out to any zone that is not explicitly stated. |
| `zone` | `string` Output only. The name of the zone where the accelerator type resides, such as us-central1-a. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body. |
| `selfLink` | `string` Output only. Server-defined, fully qualified URL for this resource. |
| `maximumCardsPerInstance` | `integer` Output only. Maximum number of accelerator cards allowed per instance. |

| ## Methods ||
|---|---|
| ### `https://docs.cloud.google.com/compute/docs/reference/rest/beta/acceleratorTypes/aggregatedList` | Retrieves an aggregated list of accelerator types. |
| ### `https://docs.cloud.google.com/compute/docs/reference/rest/beta/acceleratorTypes/get` | Returns the specified accelerator type. |
| ### `https://docs.cloud.google.com/compute/docs/reference/rest/beta/acceleratorTypes/list` | Retrieves a list of accelerator types that are available to the specified project. |